> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Projects

> List projects the caller has access to. Use the `query` parameter to search by name and `limit`/`page` for pagination — see [Pagination](/pagination).



## OpenAPI

````yaml /openapi.json get /projects
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /projects:
    get:
      tags:
        - Projects
      summary: Get All Projects
      description: >-
        List projects the caller has access to. Use the `query` parameter to
        search by name and `limit`/`page` for pagination — see
        [Pagination](/pagination).
      operationId: getAllProjects
      parameters:
        - name: platform
          in: query
          required: false
          description: Filter by Integration
          schema:
            type: string
            enum:
              - as
              - ev
              - b3
              - b2
              - pv
              - gh
              - in
              - tr
              - jr
            example: as
        - name: query
          in: query
          required: false
          description: Search Projects by Name
          schema:
            type: string
            example: Development
        - name: limit
          in: query
          required: false
          description: Max Results
          schema:
            type: integer
            example: 100
        - name: page
          in: query
          required: false
          description: Results page (1-based)
          schema:
            type: integer
            example: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Project'
        '401':
          description: Unauthorized
components:
  schemas:
    Project:
      type: object
      properties:
        id:
          type: string
          example: as:1234567890
        name:
          type: string
          example: Project Name
        workspaceId:
          type:
            - string
            - 'null'
        workspaceName:
          type:
            - string
            - 'null'
        client:
          type:
            - number
            - 'null'
          description: Client ID
        type:
          type: string
          description: Project Type
          enum:
            - board
            - list
          example: board
        favorite:
          type: boolean
          example: false
        users:
          type: array
          description: List of assigned user IDs
          items:
            type: number
          example:
            - 1304
            - 1543
        billing:
          $ref: '#/components/schemas/ProjectBillingBilling'
        rate:
          $ref: '#/components/schemas/ProjectBillingRate'
        budget:
          $ref: '#/components/schemas/ProjectBillingBudget'
      required:
        - id
        - name
        - users
    ProjectBillingBilling:
      type: object
      properties:
        type:
          type: string
          description: Project Type
          enum:
            - non_billable
            - hourly
            - fixed_fee
        fee:
          type: number
          description: Project fixed fee in cents
      required:
        - type
    ProjectBillingRate:
      type: object
      properties:
        type:
          type: string
          description: Project Type
          enum:
            - project_rate
            - user_rate
        rate:
          type: number
          description: Flat-rate in cents
        userRateOverrides:
          type: object
          description: Override user rates
          additionalProperties:
            type: number
          example:
            '1304': 10000
            '1543': 5000
      required:
        - type
    ProjectBillingBudget:
      type: object
      properties:
        type:
          type: string
          description: Budget Type
          enum:
            - money
            - time
            - costs
          example: money
        budget:
          type: number
          description: Budget value in cents (for money) or seconds (for time)
          example: 100000
        progress:
          type: number
          description: Current budget usage in cents (for money) or seconds (for time)
          readOnly: true
          example: 0
        timeProgress:
          type: number
          description: Budget progress belongs to time tracking
          readOnly: true
          example: 0
        expenseProgress:
          type: number
          description: Budget progress belongs to expenses
          readOnly: true
          example: 0
        period:
          type: string
          description: Budget periodicity
          enum:
            - general
            - monthly
            - weekly
            - daily
            - quarterly
            - yearly
          example: general
        appliedFrom:
          type:
            - string
            - 'null'
          description: Start budget from (available only for non-recurrent budgets)
        disallowOverbudget:
          type: boolean
        excludeUnbillableTime:
          type: boolean
        excludeExpenses:
          type: boolean
        showToUsers:
          type: boolean
          description: Set true if all team members should see budget and its progress
        threshold:
          type: number
          description: >-
            Email admins when threshold reached. Threshold is percentage 1 -
            100.
      required:
        - type
        - budget
        - period
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````